## ros-indigo-wpi-jaco 0.0.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wpi_jaco)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-wpi-jaco (0.0.25-0trusty) trusty; urgency=high

  * Merge branch 'develop' of https://github.com/RIVeR-Lab/wpi_jaco into develop
  * Added initial support for the Jaco2 arm, see readme for details
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.24-0trusty) trusty; urgency=high

  * reverted changelog
  * changelog updated
  * Updated metapackage run dependencies
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.23-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.22-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.21-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.20-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.19-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.18-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.17-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.16-0trusty) trusty; urgency=high

  * Moved jaco_gazebo to its own package
  * Updated jaco controllers list for moveit configuration, added install to CMakeLists, and other general cleanup
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.15-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.14-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.13-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.12-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.11-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.10-0trusty) trusty; urgency=high

  * added dependency on jaco_teleop for the metapackage
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 12 Dec 2014 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.9-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-wpi-jaco (0.0.8-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.7-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.6-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.5-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 25 Aug 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.4-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 05 Aug 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.3-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-wpi-jaco (0.0.1-0trusty) trusty; urgency=high

  * renamed JACO to WPI packages
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Thu, 31 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-wpi-jaco
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/wpi_jaco
Standards-Version: 3.9.2

Package: ros-indigo-wpi-jaco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jaco-description, ros-indigo-jaco-interaction, ros-indigo-jaco-moveit-config, ros-indigo-jaco-sdk, ros-indigo-jaco-teleop, ros-indigo-mico-description, ros-indigo-mico-moveit-config, ros-indigo-wpi-jaco-msgs, ros-indigo-wpi-jaco-wrapper
Description: Metapackage for the ROS Packages for the JACO Arm Developed at WPI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-wpi-jaco//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
